<div class="container" id="search-component" data-tab="search">
    
    <form class="ui form" [formGroup]="searchForm" (ngSubmit)="searchOnPress()">
        <div class="ui icon input" clickOutside (clickOutside)="clickedOutside()" (ngSubmit)="searchOnPress()">
            <input #searchBox id="search-box" (input)="searchList(searchBox.value)" (click)="toggleSearchSuggestions()" 
                    formControlName="search" placeholder="Search..." >
            <i class="search link icon" (click)="searchOnPress()"></i>
        </div>
    </form>

    <dl class="search-result">
        <dt *ngFor="let recipe of recipes$ | async">
            <a routerLink="/meals/{{recipe.strMeal}}" (click)="clearSearch()">
                {{recipe.strMeal}}
            </a>
        </dt>
    </dl>
    
</div>